#include "wsat.h"
/*************************************
 * Write mhrpt header
 *************************************/
#ifdef XXX
int write_mhrpt1_hdr(MHRPTHDR *mhrpthdr,PICINFO *pci)
{
  FILE *fp=pci->fp;
  if (fp==NULL) return 1;
/* Write first part: sign ...  tm_comp_sat_vlg */
  if (!(fwrite(mhrpthdr,131,1,fp))) return 0;

/* Write second part: offset_lon ... channel */
  if (!(fwrite((char *)&mhrpthdr->offset_lon,15,1,fp))) return 0;

/* Write fourth part: widthmax ... end */
  if (!(fwrite((char *)&mhrpthdr->widthmax,6,1,fp))) return 0;

  return 0;
}
#endif
int write_mhrpt1_line(PICINFO *pci,guint16 *line)
{
  FILE *fp=pci->fp;
  int i;
  char tmp[8];
//printf("%x\n",line[0]);
  for (i=0; i<pci->fri.words_per_line; i++)
  {
    tmp[0]=((line[i]&0x3fc)>>2);
    tmp[1]=((line[i]&0x003)<<6) +((line[i+1]&0x3f0)>>4); i++;
    tmp[2]=((line[i]&0x00f)<<4) +((line[i+1]&0x3c0)>>6); i++;
    tmp[3]=((line[i]&0x03f)<<2) +((line[i+1]&0x300)>>8); i++;
    tmp[4]=((line[i]&0x0ff)<<0);
    fwrite(tmp,5,1,fp);
  }
  return 1;
}

int dump_mhrpt1_line(PICINFO *pci,guint16 *frame)
{
  FILE *fp=pci->fp;
  char tmp;
  int i;
  for (i=0; i<pci->fri.words_per_frame; i++)
  {
    tmp=frame[i];
    fwrite(&tmp,1,1,fp);
  }
  return 1;
}
