#include "../include/hrpt1.h"
#include "../include/hrpt.h"
int usb_get_hrpt_frame(guint16    *frame,RECORDINFO *rdi);
int usb_init_connect(USB_ITEMS *usb);
int usb_list_ndevs(FT_DEVICE_LIST_INFO_NODE **devpntr);
int usb_wait_for_insync(RECORDINFO *rdi,int threshold);
int usb_wait_for_outsync(RECORDINFO *rdi,int threshold);
int eth_wait_for_insync(RECORDINFO *rdi,int threshold);
int eth_wait_for_outsync(RECORDINFO *rdi,int threshold);
int eth_get_hrpt_frame(guint16    *frame,RECORDINFO *rdi);
int eth_init_connect(RECORDINFO *rdi);
int getpp_hrpt_frame(guint16    *frame,RECORDINFO *rdi);
gboolean pp_wait_for_insync(RECORDINFO *rdi,int threshold);
gboolean pp_wait_for_outsync(RECORDINFO *rdi,int threshold);
void mframe2line(unsigned char *frame,int size,int np,guint16 *line,int type);
void read_mhrpt1_line(PICINFO *pci,VIEWINFO *vwi,int y,guint16 *line);
int mhrpt_is_startframe(guint16 *frame2);
int dump_mhrpt1_line(PICINFO *pci,guint16 *frame);
int write_mhrpt1_line(PICINFO *pci,guint16 *line);
HRPTHDR *read_mhrpthdr(FILE *fp,FILE_TYPE);
int search_startofline(FILE *fp,int);
int usb_flush_tx(USB_ITEMS *usb);
void dis_dat(USB_ITEMS *usb);
int usb_read_reg(USB_ITEMS *usb,int addr,int *dat);
int usb_write_reg(USB_ITEMS *usb,int addr,int dat);
int usb_read(RECORDINFO *rdi,int addr);
int get_firmware(USB_ITEMS *usb,char *fw);
int get_hrpt_framehdr(PICINFO *pci,VIEWINFO *vwi,int y,HRPT_FRAMEHDR *frmhdr);
int m1hrpt_is_startframe(guint16 *frame2);
void mn1frame2line(unsigned char *frame,int size,int np,guint16 *line);
int m2hrpt_is_startframe(guint16 *frame2);
void mn2frame2line(unsigned char *frame,int size,int np,int xstrt,guint16 *line);
int get_hwselected(int con,RECORDINFO *rdi);
int write_hpt_line(PICINFO *pci,guint16 *pline);

void rs_decode_frm(unsigned char *data);
void rs_decode_frm2(guint16 *data);

int read_fy31_hdr(PICINFO *pci);
void read_metop_line(PICINFO *pci,VIEWINFO *vwi,int y,guint16 *l);
int read_metop1_hdr(PICINFO *pci);
int read_hpt_hdr(PICINFO *pci,int nrchan);
int read_hpt_line(PICINFO *pci,VIEWINFO *vwi,int y,guint16 *line);
int mtpframe2line(guint16 *frame,guint16 *line,gboolean destrip);
int fy3frame2line(guint16 *frame,guint16 *line,gboolean destrip);

void write_metophdr_file(PICINFO *,FILE *fp);
void write_fy3hdr_file(PICINFO *,FILE *fp);

int dump_METOP_line(PICINFO *pci,guint16 *frame);
