#include "wsat.h"
int dump_METOP_line(PICINFO *pci,guint16 *frame)
{
  FILE *fp=pci->fp;
  char tmp;
  int i;
//printf("words_per_frame=%d\n",pci->fri.words_per_frame);
  for (i=0; i<pci->fri.words_per_frame; i++)
  {
    tmp=frame[i]&0xff;
    fwrite(&tmp,1,1,fp);
  }


  return 1;
}

#define METOPSYNC 0x1acffc1d
static void write_metfy_hdr_file(PICINFO *pci,FILE *fp)
{
  char frm[1024];
  int i;
  memset(frm,0,sizeof(frm));
  frm[0]=(METOPSYNC>>24)&0xff;
  frm[1]=(METOPSYNC>>16)&0xff;
  frm[2]=(METOPSYNC>>8)&0xff;
  frm[3]=(METOPSYNC)&0xff;

  snprintf(frm+8,15,"firmware=    .");
  for (i=0; i<4; i++) frm[17+i]=pci->firmware[i];
  snprintf(frm+24,6,"RS= .");
  frm[27]=(pci->reed_solomon? 0x1 : 0x0);
  fwrite(&frm,1024,1,fp);
}

void write_fy3hdr_file(PICINFO *pci,FILE *fp)
{
  write_metfy_hdr_file(pci,fp);
}

void write_metophdr_file(PICINFO *pci,FILE *fp)
{
  write_metfy_hdr_file(pci,fp);
}
