/**************************************************
 * RCSId: $Id: ppm.h,v 1.1 2016/03/24 20:33:55 ralblas Exp $
 *
 * PPM format header
 * Project: WSAT
 * Author: R. Alblas
 *
 * History: 
 * $Log: ppm.h,v $
 * Revision 1.1  2016/03/24 20:33:55  ralblas
 * Initial revision
 *
 **************************************************/
/*******************************************************************
 * Copyright (C) 2000 R. Alblas. 
 *
 * This is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software. If not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 
 * 02111-1307, USA.
 ********************************************************************/

#ifndef PPMRTSHDR
#define PPMRTSHDR

#define PPM_SIGN "P6"
#define PGM_SIGN "P5"

int read_ppm_header();
int write_ppm_header();
int read_ppm_line();
int write_ppm_line();

#endif
